MINTPY-SAVE_GBIS(1)

NAME
mintpy-save_gbis - Convert MintPy product to GBIS .mat format.

DESCRIPTION
usage: save_gbis.py [-h] -g GEOM_FILE [-m MASK_FILE]

[--ref-lalo REF_LALO REF_LALO] [--nodisplay] [-o OUTFILE]
    [--out-dir OUTDIR] [--ellipsoid2geoid] file [dset]

Convert MintPy product to GBIS .mat format.

  positional arguments:

file
    deformation file.

dset
    date/date12 of timeseries, or date12 of interferograms to be converted

  options:

-h, --help
    show this help message and exit

-g GEOM_FILE, --geometry GEOM_FILE
    geometry file

-m MASK_FILE, --mask MASK_FILE
    mask file.

--ref-lalo REF_LALO REF_LALO
    custom reference pixel in lat/lon

--nodisplay
    do not display the figure

-o OUTFILE, --output OUTFILE
    output file name.

--out-dir OUTDIR
    custom output directory, ONLY IF --output is not specified.

--ellipsoid2geoid
    Convert the height of ellipsoid to geoid using "geoidheight" module Download & install geoidheight as below: https://github.com/geodesymiami/2021_Kirishima

  references:

    Bagnardi, M., and A. Hooper (2018), Inversion of Surface Deformation Data for Rapid Estimates of Source Parameters and Uncertainties: A Bayesian Approach, Geochemistry, Geophysics, Geosystems, 19, doi:10.1029/2018GC007585.

    Yunjun, Z., Amelung, F., & Aoki, Y. (2021), Imaging the hydrothermal system of Kirishima volcanic complex with L-band InSAR time series, Geophysical Research Letters, 48(11), e2021GL092879. doi:10.1029/2021GL092879

  example:

    save_gbis.py velocity.h5 -g inputs/geometryGeo.h5 -o AlosDT73_20081012_20100302.mat save_gbis.py 20150223_20161031_msk.unw -g inputs/geometryGeo.h5 -o Alos2DT23_20150223_20161031.mat save_gbis.py 20150223_20161031.unw -g inputs/geometryGeo.h5 --out-data ../Model/data --ellipsoid2geoid